- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CoinSearchTreeManager Class Reference

`#include <CoinSearchTree.hpp>`

Collaboration diagram for CoinSearchTreeManager:

[legend]
List of all members.

## Public Member Functions
| CoinSearchTreeManager ()
virtual | ~CoinSearchTreeManager ()
void | setTree (CoinSearchTreeBase *t)
CoinSearchTreeBase * | getTree () const
bool | empty () const
size_t | size () const
size_t | numInserted () const
CoinTreeNode * | top () const
void | pop ()
void | push (CoinTreeNode *node, const bool incrInserted=true)
void | push (const CoinTreeSiblings &s, const bool incrInserted=true)
void | push (const int n, CoinTreeNode **nodes, const bool incrInserted=true)
CoinTreeNode * | bestQualityCandidate () const
double | bestQuality () const
void | newSolution (double solValue)
void | reevaluateSearchStrategy ()
## Private Member Functions
| CoinSearchTreeManager (const CoinSearchTreeManager &)
CoinSearchTreeManager & | operator= (const CoinSearchTreeManager &)
## Private Attributes
CoinSearchTreeBase * | candidates_
int | numSolution
bool | hasUB_
| Whether there is an upper bound or not.
bool | recentlyReevaluatedSearchStrategy_
| variable used to test whether we need to reevaluate search strategy

## Detailed Description

Definition at line 397 of file CoinSearchTree.hpp.

## Constructor & Destructor Documentation

CoinSearchTreeManager::CoinSearchTreeManager | ( | const CoinSearchTreeManager & |  | ) | `[private]`

CoinSearchTreeManager::CoinSearchTreeManager | ( |  | ) | `[inline]`

Definition at line 413 of file CoinSearchTree.hpp.

virtual CoinSearchTreeManager::~CoinSearchTreeManager | ( |  | ) | `[inline, virtual]`

Definition at line 418 of file CoinSearchTree.hpp.

References candidates_.

## Member Function Documentation

CoinSearchTreeManager& CoinSearchTreeManager::operator= | ( | const CoinSearchTreeManager & |  | ) | `[private]`

void CoinSearchTreeManager::setTree | ( | CoinSearchTreeBase * | t | ) | `[inline]`

Definition at line 422 of file CoinSearchTree.hpp.

References candidates_.

CoinSearchTreeBase* CoinSearchTreeManager::getTree | ( |  | ) | const`[inline]`

Definition at line 426 of file CoinSearchTree.hpp.

References candidates_.

bool CoinSearchTreeManager::empty | ( |  | ) | const`[inline]`

Definition at line 430 of file CoinSearchTree.hpp.

References candidates_, and CoinSearchTreeBase::empty().

size_t CoinSearchTreeManager::size | ( |  | ) | const`[inline]`

Definition at line 431 of file CoinSearchTree.hpp.

References candidates_, and CoinSearchTreeBase::size().

size_t CoinSearchTreeManager::numInserted | ( |  | ) | const`[inline]`

Definition at line 432 of file CoinSearchTree.hpp.

References candidates_, and CoinSearchTreeBase::numInserted().

CoinTreeNode* CoinSearchTreeManager::top | ( |  | ) | const`[inline]`

Definition at line 433 of file CoinSearchTree.hpp.

References candidates_, and CoinSearchTreeBase::top().

void CoinSearchTreeManager::pop | ( |  | ) | `[inline]`

Definition at line 434 of file CoinSearchTree.hpp.

References candidates_, and CoinSearchTreeBase::pop().

void CoinSearchTreeManager::push | ( | CoinTreeNode * | node,
|  | const bool | incrInserted = `true` |
| ) |  |  | `[inline]`

Definition at line 435 of file CoinSearchTree.hpp.

References candidates_, and CoinSearchTreeBase::push().

void CoinSearchTreeManager::push | ( | const CoinTreeSiblings & | s,
|  | const bool | incrInserted = `true` |
| ) |  |  | `[inline]`

Definition at line 438 of file CoinSearchTree.hpp.

References candidates_, and CoinSearchTreeBase::push().

void CoinSearchTreeManager::push | ( | const int | n,
|  | CoinTreeNode ** | nodes,
|  | const bool | incrInserted = `true` |
| ) |  |  | `[inline]`

Definition at line 441 of file CoinSearchTree.hpp.

References candidates_, and CoinSearchTreeBase::push().

CoinTreeNode* CoinSearchTreeManager::bestQualityCandidate | ( |  | ) | const`[inline]`

Definition at line 446 of file CoinSearchTree.hpp.

References candidates_, and CoinSearchTreeBase::top().

double CoinSearchTreeManager::bestQuality | ( |  | ) | const`[inline]`

Definition at line 449 of file CoinSearchTree.hpp.

References candidates_, CoinTreeNode::getQuality(), and CoinSearchTreeBase::top().

void CoinSearchTreeManager::newSolution | ( | double | solValue | ) |

void CoinSearchTreeManager::reevaluateSearchStrategy | ( |  | ) |

## Member Data Documentation

CoinSearchTreeBase* CoinSearchTreeManager::candidates_`[private]`

Definition at line 403 of file CoinSearchTree.hpp.

Referenced by bestQuality(), bestQualityCandidate(), empty(), getTree(), numInserted(), pop(), push(), setTree(), size(), top(), and ~CoinSearchTreeManager().

int CoinSearchTreeManager::numSolution`[private]`

Definition at line 404 of file CoinSearchTree.hpp.

bool CoinSearchTreeManager::hasUB_`[private]`

Whether there is an upper bound or not.

The upper bound may have come as input, not necessarily from a solution

Definition at line 407 of file CoinSearchTree.hpp.

bool CoinSearchTreeManager::recentlyReevaluatedSearchStrategy_`[private]`

variable used to test whether we need to reevaluate search strategy

Definition at line 410 of file CoinSearchTree.hpp.

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Blis-0.91.0/CoinUtils/src/CoinSearchTree.hpp